Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

I didn't found a way to get inherit_members field value of project via REST API.

According to docs - https://www.redmine.org/projects/redmine/wiki/Rest_Projects#Showing-a-project - this field doesn't returned by

"GET /projects/[id].xml". But can be updated by "PUT /projects/[id].xml".

Is there a way to get inherit_members of project?

mysql 5.7.27

Ruby version 2.3.1-p112 (2016-04-26)

Rails version 4.2.11.1

Redmine version 3.4.11.stable

Related issues:

Related to Redmine - Feature #5605: Subprojects should (optionally) inherit M... Closed 2010-05-27

Associated revisions

Revision 18431 - 2019-09-05 06:08 - Go MAEDA

Add inherit_members to projects API response (#32002).

Patch by Yuichi HARADA.

History

#1 - 2019-09-04 02:29 - Go MAEDA

- Related to Feature #5605: Subprojects should (optionally) inherit Members from their parent added

#2 - 2019-09-04 02:34 - Go MAEDA

Unfortunately, GET /projects/:id.(xml|json) and GET /projects.(xml|json) don't return inherit_members. I think the APIs should have been updated

when the feature was added in Redmine 2.3.0 (#5605).

#3 - 2019-09-04 11:59 - Alex Sinav

So is there plans to update REST API with this feature?

#4 - 2019-09-05 02:08 - Yuichi HARADA

- File fixed-32002.patch added

I fixed to return inherit_members for GET /projects/:id.(xml|json) and GET /projects.(xml|json).

I attached a patch.

#5 - 2019-09-05 03:24 - Go MAEDA

- Tracker changed from Defect to Feature

- Subject changed from inherit_members field value of project via REST API to Add inherit_members to projects API response

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#6 - 2019-09-05 06:11 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Alex Sinav wrote:

So is there plans to update REST API with this feature?

 It will be available in upcoming Redmine 4.1.0, stay tuned. Thank you for reporting this.

#7 - 2019-09-05 12:26 - Alex Sinav

Thank you.

Files

fixed-32002.patch 3.73 KB 2019-09-05 Yuichi HARADA
